# Ndjson.AsyncStreams
[![NuGet Version](https://img.shields.io/nuget/v/Ndjson.AsyncStreams.Net.Http?label=Ndjson.AsyncStreams.Net.Http&logo=nuget)](https://www.nuget.org/packages/Ndjson.AsyncStreams.Net.Http/)
[![NuGet Version](https://img.shields.io/nuget/v/Ndjson.AsyncStreams.AspNetCore.Mvc?label=Ndjson.AsyncStreams.AspNetCore.Mvc&logo=nuget)](https://www.nuget.org/packages/Ndjson.AsyncStreams.AspNetCore.Mvc/)

Ndjson.AsyncStreams is a solution for working with asynchronous streaming data sources over HTTP using NDJSON (Newline Delimited JSON).

## Documentation

The documentation is available [here](https://tpeczek.github.io/Ndjson.AsyncStreams/).

## Demos

There is a demo project available [here](https://github.com/tpeczek/Demo.Ndjson.AsyncStreams).

## Additional Resources

There are blog posts available which describe implementation details:

- [Fetch API, Streams API, NDJSON, and ASP.NET Core MVC](https://www.tpeczek.com/2019/04/fetch-api-streams-api-ndjson-and-aspnet.html)
- [Consuming JSON Objects Stream (NDJSON) With HttpClient](https://www.tpeczek.com/2020/10/consuming-json-objects-stream-ndjson.html)
- [Streaming JSON Objects (NDJSON) With HttpClient](https://www.tpeczek.com/2021/05/streaming-json-objects-ndjson-with.html)
- [Receiving JSON Objects Stream (NDJSON) in ASP.NET Core MVC](https://www.tpeczek.com/2021/05/receiving-json-objects-stream-ndjson-in.html)
- [ASP.NET Core 6 and IAsyncEnumerable - Async Streamed JSON vs NDJSON](https://www.tpeczek.com/2021/07/aspnet-core-6-and-iasyncenumerable.html)

## Donating

My blog and open source projects are result of my passion for software development, but they require a fair amount of my personal time. If you got value from any of the content I create, then I would appreciate your support by [sponsoring me](https://github.com/sponsors/tpeczek) (either monthly or one-time).

## Copyright and License

Copyright © 2021 - 2022 Tomasz Pęczek

Licensed under the [MIT License](https://github.com/tpeczek/Ndjson.AsyncStreams/blob/master/LICENSE.md)
